import javax.activation.CommandInfo;
import javax.activation.MailcapCommandMap;

public class MailcapCommandMapDemo1 {
    public static void main(String[] args) {
        MailcapCommandMap mailcapCommandMap = 
                new MailcapCommandMap();	
        // Get all MIME types
        String[] mimeTypes = mailcapCommandMap.getMimeTypes();
        for (String mimeType : mimeTypes) {
            System.out.println(mimeType);
            CommandInfo[] commandInfos = mailcapCommandMap.
                    getAllCommands(mimeType);
            for (CommandInfo commandInfo : commandInfos) {
                System.out.println("    " + 
                        commandInfo.getCommandName() + 
                        " : " + commandInfo.getCommandClass());
            }   
        }
    }
}
